diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/wifi/test/wifi-phy-cca-test.cc ns-3.45/src/wifi/test/wifi-phy-cca-test.cc
--- ns-3.44/src/wifi/test/wifi-phy-cca-test.cc	2025-03-09 16:55:49.811372800 -0700
+++ ns-3.45/src/wifi/test/wifi-phy-cca-test.cc	2025-06-01 20:34:45.640702200 -0700
@@ -1971,277 +2084,186 @@
              {dBm_u{-55}, MicroSeconds(50), MicroSeconds(100), S20_CENTER_FREQUENCY, MHz_u{20}}},
             {},
             {
-                {aCcaTime, WifiPhyState::IDLE}, // state of primary stays idle after aCCATime
-                {MicroSeconds(50) + aCcaTime, WifiPhyState::IDLE}, // state of primary stays IDLE
+                {aCcaTimeWithDelta,
+                 WifiPhyState::IDLE}, // state of primary stays idle after aCcaTimeWithDelta
+                {MicroSeconds(50) + aCcaTimeWithDelta,
+                 WifiPhyState::IDLE}, // state of primary stays IDLE
                 {MicroSeconds(50) + MicroSeconds(100) - smallDelta,
                  WifiPhyState::IDLE}, // IDLE just before the transmission ends
                 {MicroSeconds(50) + MicroSeconds(100) + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
-            {{aCcaTime, // notification upon reception of the first signal
+            {{aCcaTimeWithDelta, // notification upon reception of the first signal
               MicroSeconds(100),
               WIFI_CHANLIST_SECONDARY40,
-              ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(100),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0)}
-                                     : std::vector<Time>{MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(100),
-                                                         MicroSeconds(0)})},
-             {MicroSeconds(50) + aCcaTime, // notification upon reception of the second signal
+              m_expectedPer20MhzCcaBusyDurations.at(0)},
+             {MicroSeconds(50) +
+                  aCcaTimeWithDelta, // notification upon reception of the second signal
               MicroSeconds(50) + MicroSeconds(100),
               WIFI_CHANLIST_SECONDARY,
-              ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(0),
-                                                         MicroSeconds(100),
-                                                         MicroSeconds(50),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0),
-                                                         MicroSeconds(0)}
-                                     : std::vector<Time>{MicroSeconds(0),
-                                                         MicroSeconds(100),
-                                                         MicroSeconds(50),
-                                                         MicroSeconds(0)})}});
+              m_expectedPer20MhzCcaBusyDurations.at(1)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE when a 40 MHz HE SU PPDU with received power below the CCA
+        // Verify PHY state stays IDLE when a 40 MHz PPDU with received power below the CCA
         // sensitivity threshold occupies S40
         Simulator::Schedule(
             delay,
             &WifiPhyCcaIndicationTest::LogScenario,
             this,
-            "Reception of a 40 MHz HE PPDU that occupies S40 below CCA sensitivity threshold");
+            "Reception of a 40 MHz PPDU that occupies S40 below CCA sensitivity threshold");
         ScheduleTest(delay,
                      {},
                      {{dBm_u{-75}, MicroSeconds(0), S40_CENTER_FREQUENCY, MHz_u{40}}},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                         {PpduDurations.at(MHz_u{20}) - smallDelta,
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {ppduDurations.at(MHz_u{40}) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {PpduDurations.at(MHz_u{20}) + smallDelta,
+                         {ppduDurations.at(MHz_u{40}) + smallDelta,
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
         delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE but CCA-BUSY indication is reported when a 40 MHz HE SU PPDU
+        // Verify PHY state stays IDLE but CCA-BUSY indication is reported when a 40 MHz PPDU
         // with received power above the CCA sensitivity threshold occupies S40
+        const dBm_u rxPower{(m_standard == WIFI_STANDARD_80211ax) ? -70.0 : -67.0};
         Simulator::Schedule(
             delay,
             &WifiPhyCcaIndicationTest::LogScenario,
             this,
-            "Reception of a 40 MHz HE PPDU that occupies S40 above CCA sensitivity threshold");
+            "Reception of a 40 MHz PPDU that occupies S40 above CCA sensitivity threshold");
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 2,
+                    2,
+                    ppduDurations.at(MHz_u{40}));
+        ScheduleTest(delay,
+                     {},
+                     {{rxPower, MicroSeconds(0), S40_CENTER_FREQUENCY, MHz_u{40}}},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {ppduDurations.at(MHz_u{40}) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {ppduDurations.at(MHz_u{40}) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {{aCcaTimeWithDelta,
+                       ppduDurations.at(MHz_u{40}),
+                       WIFI_CHANLIST_SECONDARY40,
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE but CCA-BUSY indication is still reported as long as a
+        // signal above the energy detection threshold occupies the S40 while a 80 MHz PPDU
+        // below the CCA sensitivity threshold is received on P80.
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 40 MHz signal that occupies S40 above ED threshold "
+                            "followed by a 80 "
+                            "MHz PPDU that occupies P80 below CCA sensitivity threshold");
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 2, 2, MicroSeconds(100));
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(1).begin() + 2, 2, MicroSeconds(46));
         ScheduleTest(
             delay,
-            {},
-            {{dBm_u{-70.0}, MicroSeconds(0), S40_CENTER_FREQUENCY, MHz_u{40}}},
+            {{dBm_u{-55},
+              MicroSeconds(0),
+              MicroSeconds(100),
+              S40_CENTER_FREQUENCY,
+              MHz_u{40}}}, // signal on S40 above threshold
+            {{dBm_u{-80},
+              MicroSeconds(50),
+              P80_CENTER_FREQUENCY,
+              MHz_u{80}}}, // PPDU on P80 below threshold
             {
-                {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                {PpduDurations.at(MHz_u{40}) - smallDelta,
-                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                {PpduDurations.at(MHz_u{40}) + smallDelta,
-                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+                {MicroSeconds(50) + aCcaTimeWithDelta, WifiPhyState::IDLE}, // PHY state stays IDLE
             },
-            {{aCcaTime,
-              PpduDurations.at(MHz_u{40}),
+            {{MicroSeconds(50) - smallDelta,
+              MicroSeconds(100),
               WIFI_CHANLIST_SECONDARY40,
-              ((m_channelWidth > MHz_u{80}) ? std::vector<Time>{NanoSeconds(0),
-                                                                NanoSeconds(0),
-                                                                PpduDurations.at(MHz_u{40}),
-                                                                PpduDurations.at(MHz_u{40}),
-                                                                NanoSeconds(0),
-                                                                NanoSeconds(0),
-                                                                NanoSeconds(0),
-                                                                NanoSeconds(0)}
-                                            : std::vector<Time>{NanoSeconds(0),
-                                                                NanoSeconds(0),
-                                                                PpduDurations.at(MHz_u{40}),
-                                                                PpduDurations.at(MHz_u{40})})}});
-        delay += Seconds(1);
-
-        //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE but CCA-BUSY indication is still reported as long as a signal
-        // above the energy detection threshold occupies the S40 while a 80 MHz PPDU below the CCA
-        // sensitivity threshold is received on P80.
-        Simulator::Schedule(
-            delay,
-            &WifiPhyCcaIndicationTest::LogScenario,
-            this,
-            "Reception of a 40 MHz signal that occupies S40 above ED threshold followed by a 80 "
-            "MHz HE PPDU that occupies P80 below CCA sensitivity threshold");
-        ScheduleTest(delay,
-                     {{dBm_u{-55},
-                       MicroSeconds(0),
-                       MicroSeconds(100),
-                       S40_CENTER_FREQUENCY,
-                       MHz_u{40}}}, // signal on S40 above threshold
-                     {{dBm_u{-80},
-                       MicroSeconds(50),
-                       P80_CENTER_FREQUENCY,
-                       MHz_u{80}}}, // PPDU on P80 below threshold
-                     {
-                         {MicroSeconds(50) + aCcaTime, WifiPhyState::IDLE}, // PHY state stays IDLE
-                     },
-                     {{MicroSeconds(50) - smallDelta,
-                       MicroSeconds(100),
-                       WIFI_CHANLIST_SECONDARY40,
-                       ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(100),
-                                                                  MicroSeconds(100),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0)}
-                                              : std::vector<Time>{MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(100),
-                                                                  MicroSeconds(100)})},
-                      {MicroSeconds(100) - smallDelta,
-                       MicroSeconds(100),
-                       WIFI_CHANLIST_SECONDARY40,
-                       ((m_channelWidth > 80) ? std::vector<Time>{MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(46),
-                                                                  MicroSeconds(46),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(0)}
-                                              : std::vector<Time>{MicroSeconds(0),
-                                                                  MicroSeconds(0),
-                                                                  MicroSeconds(46),
-                                                                  MicroSeconds(46)})}});
+              m_expectedPer20MhzCcaBusyDurations.at(0)},
+             {MicroSeconds(100) - smallDelta,
+              MicroSeconds(100),
+              WIFI_CHANLIST_SECONDARY40,
+              m_expectedPer20MhzCcaBusyDurations.at(1)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
     }
     else // 20 or 40 MHz receiver
     {
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY notifies CCA-BUSY when a 80 MHz HE SU PPDU with received power above the CCA
+        // Verify PHY notifies CCA-BUSY when a 80 MHz PPDU with received power above the CCA
         // sensitivity threshold occupies P40 The per20Bitmap should indicate idle for all
         // subchannels because received power is below -62 dBm (27.3.20.6.5).
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
-                            "Reception of a 80 MHz HE PPDU that occupies the 40 MHz band above CCA "
+                            "Reception of a 80 MHz PPDU that occupies the 40 MHz band above CCA "
                             "sensitivity threshold");
-        ScheduleTest(delay,
-                     {},
-                     {{dBm_u{-70}, MicroSeconds(0), P80_CENTER_FREQUENCY, MHz_u{80}}},
-                     {
-                         {aCcaTime, WifiPhyState::CCA_BUSY}, // CCA_BUSY after aCCATime
-                         {PpduDurations.at(MHz_u{80}) - smallDelta,
-                          WifiPhyState::CCA_BUSY}, // CCA_BUSY just before the transmission ends
-                         {PpduDurations.at(MHz_u{80}) + smallDelta,
-                          WifiPhyState::IDLE} // IDLE just after the transmission ends
-                     },
-                     {{aCcaTime,
-                       MicroSeconds(16),
-                       WIFI_CHANLIST_PRIMARY,
-                       ((m_channelWidth > MHz_u{20})
-                            ? ((m_channelWidth > MHz_u{40})
-                                   ? ((m_channelWidth > MHz_u{80}) ? std::vector<Time>{Seconds(0),
-                                                                                       Seconds(0),
-                                                                                       Seconds(0),
-                                                                                       Seconds(0),
-                                                                                       Seconds(0),
-                                                                                       Seconds(0),
-                                                                                       Seconds(0),
-                                                                                       Seconds(0)}
-                                                                   : std::vector<Time>{Seconds(0),
-                                                                                       Seconds(0),
-                                                                                       Seconds(0),
-                                                                                       Seconds(0)})
-                                   : std::vector<Time>{Seconds(0), Seconds(0)})
-                            : std::vector<Time>{})},
-                      {PpduDurations.at(MHz_u{80}) - smallDelta,
-                       PpduDurations.at(MHz_u{80}),
-                       WIFI_CHANLIST_PRIMARY,
-                       ((m_channelWidth > MHz_u{20})
-                            ? ((m_channelWidth > MHz_u{40})
-                                   ? ((m_channelWidth > MHz_u{80}) ? std::vector<Time>{Seconds(0),
-                                                                                       Seconds(0),
-                                                                                       Seconds(0),
-                                                                                       Seconds(0),
-                                                                                       Seconds(0),
-                                                                                       Seconds(0),
-                                                                                       Seconds(0),
-                                                                                       Seconds(0)}
-                                                                   : std::vector<Time>{Seconds(0),
-                                                                                       Seconds(0),
-                                                                                       Seconds(0),
-                                                                                       Seconds(0)})
-                                   : std::vector<Time>{Seconds(0), Seconds(0)})
-                            : std::vector<Time>{})}});
+        ScheduleTest(
+            delay,
+            {},
+            {{dBm_u{-70}, MicroSeconds(0), P80_CENTER_FREQUENCY, MHz_u{80}}},
+            {
+                {aCcaTimeWithDelta, WifiPhyState::CCA_BUSY}, // CCA_BUSY after aCcaTimeWithDelta
+                {ppduDurations.at(MHz_u{80}) - smallDelta,
+                 WifiPhyState::CCA_BUSY}, // CCA_BUSY just before the transmission ends
+                {ppduDurations.at(MHz_u{80}) + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {{aCcaTimeWithDelta,
+              MicroSeconds(16),
+              WIFI_CHANLIST_PRIMARY,
+              m_expectedPer20MhzCcaBusyDurations.at(0)},
+             {ppduDurations.at(MHz_u{80}) - smallDelta,
+              ppduDurations.at(MHz_u{80}),
+              WIFI_CHANLIST_PRIMARY,
+              m_expectedPer20MhzCcaBusyDurations.at(0)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY notifies CCA-BUSY when a 80 MHz HE SU PPDU with received power above the CCA
+        // Verify PHY notifies CCA-BUSY when a 80 MHz PPDU with received power above the CCA
         // sensitivity threshold occupies P40 The per20Bitmap should indicate CCA_BUSY for all
         // subchannels because received power is above -62 dBm (27.3.20.6.5).
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
-                            "Reception of a 80 MHz HE PPDU that occupies the 40 MHz band above CCA "
+                            "Reception of a 80 MHz PPDU that occupies the 40 MHz band above CCA "
                             "sensitivity threshold");
+        if (m_channelWidth > 20)
+        {
+            std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin(),
+                        2,
+                        ppduDurations.at(80) - aCcaTime);
+            std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(1).begin(),
+                        2,
+                        ppduDurations.at(80) - phyHeaderDuration);
+        }
         ScheduleTest(
             delay,
             {},
             {{dBm_u{-55}, MicroSeconds(0), P80_CENTER_FREQUENCY, MHz_u{80}}},
             {
-                {aCcaTime, WifiPhyState::CCA_BUSY}, // CCA_BUSY after aCCATime
-                {PpduDurations.at(MHz_u{80}) - smallDelta,
+                {aCcaTimeWithDelta, WifiPhyState::CCA_BUSY}, // CCA_BUSY after aCcaTimeWithDelta
+                {ppduDurations.at(MHz_u{80}) - smallDelta,
                  WifiPhyState::CCA_BUSY}, // CCA_BUSY just before the transmission ends
-                {PpduDurations.at(MHz_u{80}) + smallDelta,
+                {ppduDurations.at(MHz_u{80}) + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
-            {{aCcaTime,
+            {{aCcaTimeWithDelta,
               MicroSeconds(16),
               WIFI_CHANLIST_PRIMARY,
-              ((m_channelWidth > MHz_u{20})
-                   ? ((m_channelWidth > MHz_u{40})
-                          ? ((m_channelWidth > MHz_u{80}) ? std::vector<Time>{NanoSeconds(271200),
-                                                                              NanoSeconds(271200),
-                                                                              NanoSeconds(271200),
-                                                                              NanoSeconds(271200),
-                                                                              NanoSeconds(0),
-                                                                              NanoSeconds(0),
-                                                                              NanoSeconds(0),
-                                                                              NanoSeconds(0)}
-                                                          : std::vector<Time>{NanoSeconds(271200),
-                                                                              NanoSeconds(271200),
-                                                                              NanoSeconds(271200),
-                                                                              NanoSeconds(271200)})
-                          : std::vector<Time>{NanoSeconds(271200), NanoSeconds(271200)})
-                   : std::vector<Time>{})},
-             {PpduDurations.at(MHz_u{80}) - smallDelta,
-              PpduDurations.at(MHz_u{80}),
+              m_expectedPer20MhzCcaBusyDurations.at(0)},
+             {ppduDurations.at(MHz_u{80}) - smallDelta,
+              ppduDurations.at(MHz_u{80}),
               WIFI_CHANLIST_PRIMARY,
-              ((m_channelWidth > 20)
-                   ? ((m_channelWidth > 40)
-                          ? ((m_channelWidth > 80) ? std::vector<Time>{NanoSeconds(243200),
-                                                                       NanoSeconds(243200),
-                                                                       NanoSeconds(243200),
-                                                                       NanoSeconds(243200),
-                                                                       NanoSeconds(0),
-                                                                       NanoSeconds(0),
-                                                                       NanoSeconds(0),
-                                                                       NanoSeconds(0)}
-                                                   : std::vector<Time>{NanoSeconds(243200),
-                                                                       NanoSeconds(243200),
-                                                                       NanoSeconds(243200),
-                                                                       NanoSeconds(243200)})
-                          : std::vector<Time>{NanoSeconds(243200), NanoSeconds(243200)})
-                   : std::vector<Time>{})}});
+              m_expectedPer20MhzCcaBusyDurations.at(1)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and no CCA-BUSY indication is reported when a signal not
@@ -2250,15 +2272,15 @@
             delay,
             &WifiPhyCcaIndicationTest::LogScenario,
             this,
-            "Reception of a 40 MHz HE PPDU that does not occupy the operational channel");
+            "Reception of a 40 MHz PPDU that does not occupy the operational channel");
         ScheduleTest(delay,
                      {},
                      {{dBm_u{-50}, MicroSeconds(0), S40_CENTER_FREQUENCY, MHz_u{40}}},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                         {PpduDurations.at(MHz_u{20}) - smallDelta,
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {ppduDurations.at(MHz_u{20}) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {PpduDurations.at(MHz_u{20}) + smallDelta,
+                         {ppduDurations.at(MHz_u{20}) + smallDelta,
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
@@ -2268,8 +2290,8 @@
     if (m_channelWidth > MHz_u{80})
     {
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below the
-        // energy detection threshold occupies the first 20 MHz subchannel of the S80
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
+        // the energy detection threshold occupies the first 20 MHz subchannel of the S80
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
@@ -2283,7 +2305,7 @@
                        MHz_u{20}}},
                      {},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {MicroSeconds(100) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
                          {MicroSeconds(100) + smallDelta,
@@ -2294,13 +2316,14 @@
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
-        // energy detection threshold occupies the first 20 MHz subchannel of the S80 27.3.20.6.4:
-        // Any signal within the secondary 80 MHz channel at or above –56 dBm.
+        // energy detection threshold occupies the first 20 MHz subchannel of the
+        // S80 27.3.20.6.4: Any signal within the secondary 80 MHz channel at or above –56 dBm.
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
                             "Reception of a 20 MHz signal that occupies the first subchannel of "
                             "S80 above ED threshold");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(4) = MicroSeconds(100);
         ScheduleTest(delay,
                      {{dBm_u{-55},
                        MicroSeconds(0),
@@ -2309,7 +2332,7 @@
                        MHz_u{20}}},
                      {},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {MicroSeconds(100) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
                          {MicroSeconds(100) + smallDelta,
@@ -2318,19 +2341,13 @@
                      {{MicroSeconds(100) - smallDelta,
                        MicroSeconds(100),
                        WIFI_CHANLIST_SECONDARY80,
-                       std::vector<Time>{MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(100),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0)}}});
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below the
-        // energy detection threshold occupies the second 20 MHz subchannel of the S80
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
+        // the energy detection threshold occupies the second 20 MHz subchannel of the S80
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
@@ -2344,7 +2361,7 @@
                        MHz_u{20}}},
                      {},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {MicroSeconds(100) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
                          {MicroSeconds(100) + smallDelta,
